{% load bootstrap4 %}

{% if not task_offer.offerer.rating or task_offer.offerer.rating >= rating_filter %}

    {% if not task_offer.status == 'd' and task_offer.price <= price_filter %}

        <li class="list-group-item d-flex justify-content-between align-items-center">
            <div class="tool-tip">Offer from {{ task_offer.offerer.user.username }}
                <span class="tool-tip-text">
                    {% if task_offer.offerer.rated_tasks and task_offer.offerer.rating %}
                        Average rating over {{ task_offer.offerer.rated_tasks }}
                        task{% if task_offer.offerer.rated_tasks > 1 %}s
                        {% endif %}:
                        {{ task_offer.offerer.rating }}
                    {% else %}
                        No rating received yet.
                    {% endif %}
                </span>
            </div>
            <div>
                Status: {{ task_offer.get_status_display }}
            </div>
            <div>
                Price offered: {{ task_offer.price }}kr
            </div>
            <div>
                <button class="btn btn-primary btn-width" data-toggle="modal"
                        data-target="#seeOfferModal{{ task_offer.id }}">View Offer
                </button>
            </div>
        </li>

        <div class="modal fade" id="seeOfferModal{{ task_offer.id }}" tabindex="-1"
             role="dialog" aria-labelledby="seeOfferModal{{ task_offer.id }}Title"
             aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="seeOfferModalTitle{{ task_offer.id }}">
                            Offer for {{ task.title }}</h5>
                        <button type="button" class="close" data-dismiss="modal"
                                aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <form method="post">
                        <div class="modal-body">
                            <h3>Offer</h3>
                            <h4 class="mt-3">{{ task_offer.title }}</h4>
                            <p>Status: {{ task_offer.get_status_display }}</p>
                            <p>Description: <br> {{ task_offer.description }}</p>
                            <p>Price offered: {{ task_offer.price }} </p>

                            <h3 class="mt-3">Response: </h3>
                            {% csrf_token %}
                            {% bootstrap_form offer_response_form %}
                            <input type="hidden" name="taskofferid"
                                   value="{{ task_offer.id }}">

                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary"
                                    data-dismiss="modal">Close
                            </button>
                            <button type="submit" name="offer_response"
                                    class="btn btn-primary">
                                Send Response
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>

    {% endif %}
{% endif %}